Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.databaseloader
Class OracleDataLoader

    java.lang.Object
      org.deegree.io.databaseloader.OracleDataLoader

    public class OracleDataLoader

extends Object

class for loading data as feature collection from a postgis database

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`OracleDataLoader()`

Method Summary
`static FeatureCollection` | `load(DatabaseDataSource datasource, Envelope envelope)`
`static FeatureCollection` | `load(DatabaseDataSource datasource, Envelope envelope, String sql)`
`static FeatureCollection` | `load(DatabaseDataSource datasource, Envelope envelope, String sql, String extraClauses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDataLoader

    public OracleDataLoader()

Method Detail

### load

    public static FeatureCollection load(DatabaseDataSource datasource,
                                         Envelope envelope)
                                  throws Exception

  Parameters:
    `datasource` -
    `envelope` -
  Returns:
    the feature collection directly from the db
  Throws:
    `Exception`

### load

    public static FeatureCollection load(DatabaseDataSource datasource,
                                         Envelope envelope,
                                         String sql)
                                  throws Exception

  Parameters:
    `datasource` -
    `envelope` -
    `sql` -
  Returns:
    the fc from the db
  Throws:
    `Exception`

### load

    public static FeatureCollection load(DatabaseDataSource datasource,
                                         Envelope envelope,
                                         String sql,
                                         String extraClauses)
                                  throws Exception

  Parameters:
    `datasource` -
    `envelope` -
    `sql` -
    `extraClauses` -
  Returns:
    featurecollection loaded from a postgis database
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org